Bug 1282413 - versionstools fails to build against python-3.5
versionstools fails to build against python-3.5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-versiontools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1269756
  Show dependency treegraph
 
Reported: 2015-11-16 05:45 EST by Matthias Runge
Modified: 2015-11-17 06:06 EST (History)
2 users (show)

See Also:
Fixed In Version: python-versiontools-1.9.1-9.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 06:06:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2015-11-16 05:45:17 EST
Description of problem:


Version-Release number of selected component (if applicable):
fedpkg build
Building python-versiontools-1.9.1-9.fc24 for rawhide
...

reading manifest file 'versiontools.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'versiontools.egg-info/SOURCES.txt'
.F..............
======================================================================
FAIL: test_not_found (versiontools.tests.HandleVersionTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/python3-python-versiontools-1.9.1-9.fc24/versiontools/__init__.py", line 241, in from_expression
    version = getattr(obj, identifier)
AttributeError: module 'versiontools' has no attribute '__nonexisting__'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/builddir/build/BUILD/python3-python-versiontools-1.9.1-9.fc24/versiontools/setuptools_hooks.py", line 64, in version
    version = Version.from_expression(value)
ValueError: Unable to access '__nonexisting__' in 'versiontools': module 'versiontools' has no attribute '__nonexisting__'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/builddir/build/BUILD/python3-python-versiontools-1.9.1-9.fc24/versiontools/tests.py", line 147, in test_not_found
    handle_version(self.dist, None, version)
distutils.errors.DistutilsSetupError: Unable to access '__nonexisting__' in 'versiontools': module 'versiontools' has no attribute '__nonexisting__'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/builddir/build/BUILD/python3-python-versiontools-1.9.1-9.fc24/versiontools/tests.py", line 151, in test_not_found
    self.assertEqual(str(e), "Unable to access '__nonexisting__' in "
AssertionError: "Unab[44 chars]ols': module 'versiontools' has no attribute '__nonexisting__'" != "Unab[44 chars]ols': 'module' object has no attribute '__nonexisting__'"
- Unable to access '__nonexisting__' in 'versiontools': module 'versiontools' has no attribute '__nonexisting__'
?                                                             - ^ ^^^^^ -----
+ Unable to access '__nonexisting__' in 'versiontools': 'module' object has no attribute '__nonexisting__'
?                                                       +       ^^^^ ^
----------------------------------------------------------------------
Ran 16 tests in 0.325s
FAILED (failures=1)
error: Bad exit status from /var/tmp/rpm-tmp.AdOyer (%check)
    Bad exit status from /var/tmp/rpm-tmp.AdOyer (%check)
RPM build errors:
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target noarch --nodeps  /builddir/build/SPECS/python-versiontools.spec 
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/util.py", line 520, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target noarch --nodeps  /builddir/build/SPECS/python-versiontools.spec 
LEAVE do --> EXCEPTION RAISED



taken from here: http://koji.fedoraproject.org/koji/watchlogs?taskID=11864203

Note You need to log in before you can comment on or make changes to this bug.